Infrastructure - Bug #3278

DataPackage.serializePackage() method doesn't work very well.
Description

Here is the what i did:

DataPackage dataPackage = new DataPackage(packageld);
dataPackage.insertRelationship(metadatald, datalds);

String resourceMap = dataPackage.serializePackage();
System.out.printIn("the resource map is"+resourceMap);

My science meadata id is:doi:10.5063/AA/tao.1.1
data id is: doi:10.5063/AA/tao.1.1

But in the output of string, i can't find the relationship between the metadata id and the data id:

the resource map is

2012-09-27T11:43:38.165-07:00/dcterms:modified

resource-map:eea3f44d-bd9c-4c50-88ed-dd51407b0d40/dcterms:identifier

[rdf:Description

Java libclient/foaf:name

[rdf:Description

dc:titleDataONE Aggregation/dc:title

[rdf:Description
[rdf:RDF

History

#1 - 2012-09-27 18:52 - Jing Tao

Here is a correct copy of the resource map:

ore:isAggregatedByhttps://cn.dataone.org/cn/vi/resolve/resourceMap_tao.1.1#aggregation/ore:isAggregatedBy
doi:10.5063/AA/tao.2.1/dcterms:identifier

[rdf:Description

Java libclient/foaf:name

[rdf:Description

ore:isAggregatedByhttps://cn.dataone.org/cn/vi/resolve/resourceMap_tao.1.1#aggregation/ore:isAggregatedBy
doi:10.5063/AA/tao.1.1/dcterms:identifier

[rdf:Description
redmine.dataone.org/dcterms:modified
redmine.dataone.org/dcterms:identifier
redmine.dataone.org/rdf:Description
redmine.dataone.org/foaf:name
redmine.dataone.org/rdf:Description
redmine.dataone.org/rdf:Description
https://cn.dataone.org/cn/v1/resolve/resourceMap_tao.1.1#aggregation
redmine.dataone.org/ore:isAggregatedBy
redmine.dataone.org/rdf:Description
redmine.dataone.org/foaf:name
https://cn.dataone.org/cn/v1/resolve/resourceMap_tao.1.1#aggregation
redmine.dataone.org/ore:isAggregatedBy
dc:itleDataONE Aggregation/dc:title

[rdf:Description

2012-06-22T20:55:41-0700/dcterms:modified

resourceMap_tao.1.1/dcterms:identifier

[rdf:Description
[rdf:RDF

#2 - 2012-09-28 17:22 - Ben Leinfelder

I think you need to have called DataPacakge.add(D10bject) before you serialize the ORE.
Your data and metadata ids are the same?

Your second RDF file looks good -- how did you end up with that?

#3 - 2012-09-28 18:19 - Jing Tao

Good catch. Yeah, i made a mistake to put the same id for both metadata and data. | corrected it and the result didn't change.
The second RDF was got from the KNB metacat. It is a example and i didn't make it.

| don't think it is necessary to call DataPacakge.add(D10bject) before you serialize the ORE. | went over the code a little bit. The serializePackage
method uses the class field metadataMap, but the add method mainly involves the class field objectStore. | have a feeling that
insertRelationship(metadatald, datalds) has a bug. This method modifies the field metadataMap.

#4 - 2012-09-28 23:00 - Rob Nahf
- Target version set to Sprint-2012.39-Block.5.4
- Tracker changed from Task to Bug

- Status changed from New to Closed

found a bug in the insertRelationship method, where the new relationship wasn't added for new metadatalds.

#5 - 2012-09-29 03:48 - Rob Nahf
- % Done changed from 0 to 100
